/*
 * @Author: PoJun
 * @Date: 2023-12-14 15:56:24
 * @LastEditors: PoJun
 * @LastEditTime: 2024-03-04 18:40:48
 * @Message: Nothing
 */
export const logoutApp = async vm => {
    // 退出设备
    try {
        // #ifdef APP-PLUS
        // await uni.$uv.http.get("/system_ext/user/client_info", { custom: { toast: false } });
        // #endif
        uni.removeStorageSync("vuex_token");
        uni.removeStorageSync("lifeData");
        vm.$uv.vuex("vuex_userInfo", null);
        uni.$uv.sleep(100).then(() => {
            uni.$uv.route({ url: "/pages/mine/index", type: "switchTab" });
        });
    } catch (error) {
        console.log(error);
    }
};
